OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | List of all members
OpenMesh::Smoother::JacobiLaplaceSmootherT< Mesh > Class Template Reference

Laplacian Smoothing. More...

`#include <OpenMesh/Tools/Smoother/JacobiLaplaceSmootherT.hh>`

Inheritance diagram for OpenMesh::Smoother::JacobiLaplaceSmootherT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::Smoother::JacobiLaplaceSmootherT< Mesh >:
[legend]

## Public Member Functions
| JacobiLaplaceSmootherT (Mesh &_mesh)
void | smooth (unsigned int _n)
| Do _n smoothing iterations.
Public Member Functions inherited from OpenMesh::Smoother::LaplaceSmootherT< Mesh >
| LaplaceSmootherT (Mesh &_mesh)
void | initialize (Component _comp, Continuity _cont)
Public Member Functions inherited from OpenMesh::Smoother::SmootherT< Mesh >
| SmootherT (Mesh &_mesh)
| constructor & destructor More...
void | initialize (Component _comp, Continuity _cont)
| Initialize smoother. More...
void | skip_features (bool _state)
| enable or disable feature handling More...
void | set_active_vertices ()
| Find active vertices. Resets tagged status !
void | set_relative_local_error (Scalar _err)
| Set local error.
void | set_absolute_local_error (Scalar _err)
| Set local error.
void | disable_local_error_check ()
| Set local error.

## Protected Member Functions
virtual void | compute_new_positions_C0 ()
virtual void | compute_new_positions_C1 ()
Protected Member Functions inherited from OpenMesh::Smoother::LaplaceSmootherT< Mesh >
Scalar | weight (VertexHandle _vh) const
Scalar | weight (EdgeHandle _eh) const
Protected Member Functions inherited from OpenMesh::Smoother::SmootherT< Mesh >
const Point & | orig_position (VertexHandle _vh) const
const NormalType & | orig_normal (VertexHandle _vh) const
const Point & | new_position (VertexHandle _vh) const
void | set_new_position (VertexHandle _vh, const Point &_p)
bool | is_active (VertexHandle _vh) const
Component | component () const
Continuity | continuity () const

## Additional Inherited Members
Public Types inherited from OpenMesh::Smoother::LaplaceSmootherT< Mesh >
typedef SmootherT< Mesh > ::Component | Component
typedef SmootherT< Mesh > ::Continuity | Continuity
typedef SmootherT< Mesh >::Scalar | Scalar
typedef SmootherT< Mesh > ::VertexHandle | VertexHandle
typedef SmootherT< Mesh > ::EdgeHandle | EdgeHandle
Public Types inherited from OpenMesh::Smoother::SmootherT< Mesh >
enum | Component { Tangential, Normal, Tangential_and_Normal }
enum | Continuity { C0, C1, C2 }
typedef Mesh::Scalar | Scalar
typedef Mesh::Point | Point
typedef Mesh::Normal | NormalType
typedef Mesh::VertexHandle | VertexHandle
typedef Mesh::EdgeHandle | EdgeHandle
Protected Attributes inherited from OpenMesh::Smoother::SmootherT< Mesh >
Mesh & | mesh_
bool | skip_features_

## Detailed Description

### template<class Mesh>
class OpenMesh::Smoother::JacobiLaplaceSmootherT< Mesh >

Laplacian Smoothing.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/Smoother/JacobiLaplaceSmootherT.hh
- OpenMesh/Tools/Smoother/JacobiLaplaceSmootherT.cc